Kea: isc::gss_tsig Namespace Reference

| Kea 3.2.0-git

isc::gss_tsig Namespace Reference

## Classes
class | DnsServer
| GSS-TSIG hook configuration for a server. More...
struct | DnsServerIdTag
| Tag for the id access index for searching DNS server. More...
struct | DnsServerIndexTag
| Tag for the random access index for searching DNS server. More...
class | GssApiBuffer
| GSS-API buffer. More...
class | GssApiCred
| GSS-API credential. More...
class | GssApiError
| GSS-API exception. More...
class | GssApiLastError
| Last error base class. More...
class | GssApiName
| GSS-API name. More...
class | GssApiOid
| GSS-API OID. More...
class | GssApiOidSet
| GSS-API OID set. More...
class | GssApiSecCtx
| GSS-API security context. More...
class | GssCredExpired
class | GssTsigCfg
| GSS-TSIG hook configuration. More...
class | GssTsigContext
| GSS-TSIG overwrite of the DNS TSIGContext class. More...
class | GssTsigImpl
| GSS-TSIG hook implementation. More...
class | GssTsigKey
| GSS-TSIG extension of the D2 TSIG key class. More...
struct | GssTsigKeyNameTag
| Tag for the name index for searching GSS-TSIG key. More...
struct | GssTsigKeyServerTag
| Tag for the server ID index for searching GSS-TSIG key. More...
class | ManagedKey
| Managed GSS-TSIG key. More...
class | TKeyExchange
| The `TKeyExchange` class handles communication with the DNS server. More...
class | TKeyExchangeImpl

## Typedefs
typedef boost::multi_index_container< DnsServerPtr, boost::multi_index::indexed_by< boost::multi_index::random_access< boost::multi_index::tag< DnsServerIndexTag > >, boost::multi_index::hashed_unique< boost::multi_index::tag< DnsServerIdTag >, boost::multi_index::const_mem_fun< DnsServer, std::string, &DnsServer::getID > > > > | DnsServerList
| A list of DNS server.
typedef boost::shared_ptr< DnsServer > | DnsServerPtr
| A pointer to a DNS server.
typedef std::map< isc::d2::DnsServerInfoPtr, DnsServerPtr > | DnsServerRevMap
| A map of DNS server info and DNS server.
typedef boost::shared_ptr< GssApiBuffer > | GssApiBufferPtr
| Shared pointer to GSS-API buffer.
typedef boost::shared_ptr< GssApiCred > | GssApiCredPtr
| Shared pointer to GSS-API credential.
typedef boost::shared_ptr< GssApiName > | GssApiNamePtr
| Shared pointer to GSS-API name.
typedef boost::shared_ptr< GssApiOid > | GssApiOidPtr
| Shared pointer to GSS-API OID.
typedef boost::shared_ptr< GssApiOidSet > | GssApiOidSetPtr
| Shared pointer to GSS-API OID set.
typedef boost::shared_ptr< GssTsigContext > | GssTsigContextPtr
| Type of pointer to a GSS-TSIG context.
typedef std::unique_ptr< GssTsigImpl > | GssTsigImplPtr
| Type of pointer to a GSS-TSIG hook configuration.
typedef boost::shared_ptr< GssTsigKey > | GssTsigKeyPtr
| Type of pointer to a GSS-TSIG key.
typedef boost::multi_index_container< ManagedKeyPtr, boost::multi_index::indexed_by< boost::multi_index::hashed_unique< boost::multi_index::tag< GssTsigKeyNameTag >, boost::multi_index::const_mem_fun< ManagedKey, std::string, &ManagedKey::getKeyNameStr > >, boost::multi_index::ordered_non_unique< boost::multi_index::tag< GssTsigKeyServerTag >, boost::multi_index::composite_key< ManagedKey, boost::multi_index::const_mem_fun< ManagedKey, std::string, &ManagedKey::getParentID >, boost::multi_index::const_mem_fun< GssTsigKey, std::chrono::system_clock::time_point, &GssTsigKey::getInception > > > > > | ManagedKeyList
| A multi index container holding GSS-TSIG keys.
typedef boost::shared_ptr< ManagedKey > | ManagedKeyPtr
| Type of pointer to a Managed GSS-TSIG key.
typedef boost::shared_ptr< TKeyExchange > | TKeyExchangePtr

## Functions
string | gssApiErrMsg (OM_uint32 major, OM_uint32 minor)
| An the error message.

## Variables
const isc::log::MessageID | BAD_CLIENT_CREDENTIALS = "BAD_CLIENT_CREDENTIALS"
const isc::log::MessageID | GSS_TSIG_COMMAND_PROCESSED_FAILED = "GSS_TSIG_COMMAND_PROCESSED_FAILED"
const isc::log::MessageID | GSS_TSIG_IGNORED_BAD_DIRECTION = "GSS_TSIG_IGNORED_BAD_DIRECTION"
const isc::log::MessageID | GSS_TSIG_LOAD_FAILED = "GSS_TSIG_LOAD_FAILED"
const isc::log::MessageID | GSS_TSIG_LOAD_OK = "GSS_TSIG_LOAD_OK"
isc::log::Logger | gss_tsig_logger ("gss-tsig-hooks")
const isc::log::MessageID | GSS_TSIG_MANAGER_STARTED = "GSS_TSIG_MANAGER_STARTED"
const isc::log::MessageID | GSS_TSIG_MANAGER_STOP_ERROR = "GSS_TSIG_MANAGER_STOP_ERROR"
const isc::log::MessageID | GSS_TSIG_MANAGER_STOP_GENERAL_ERROR = "GSS_TSIG_MANAGER_STOP_GENERAL_ERROR"
const isc::log::MessageID | GSS_TSIG_MANAGER_STOPPED = "GSS_TSIG_MANAGER_STOPPED"
const isc::log::MessageID | GSS_TSIG_NEW_KEY = "GSS_TSIG_NEW_KEY"
const isc::log::MessageID | GSS_TSIG_NEW_KEY_SETUP_FAILED = "GSS_TSIG_NEW_KEY_SETUP_FAILED"
const isc::log::MessageID | GSS_TSIG_NEW_KEY_SETUP_SUCCEED = "GSS_TSIG_NEW_KEY_SETUP_SUCCEED"
const isc::log::MessageID | GSS_TSIG_OLD_KEY_REMOVED = "GSS_TSIG_OLD_KEY_REMOVED"
const isc::log::MessageID | GSS_TSIG_UNLOAD_OK = "GSS_TSIG_UNLOAD_OK"
const isc::log::MessageID | GSS_TSIG_VERIFIED = "GSS_TSIG_VERIFIED"
const isc::log::MessageID | GSS_TSIG_VERIFY_FAILED = "GSS_TSIG_VERIFY_FAILED"
GssTsigImplPtr | impl
| The GSS-TSIG hook implementation object.
GssApiOid | ISC_GSS_KRB5_MECHANISM (ISC_GSS_KRB5_MECHANISM_vect)
| The Kerberos 5 OID.
GssApiOid | ISC_GSS_SPNEGO_MECHANISM (ISC_GSS_SPNEGO_MECHANISM_vect)
| The SPNEGO OID.
const isc::log::MessageID | KEY_LOOKUP_DISABLED = "KEY_LOOKUP_DISABLED"
const isc::log::MessageID | KEY_LOOKUP_FOUND = "KEY_LOOKUP_FOUND"
const isc::log::MessageID | KEY_LOOKUP_NONE = "KEY_LOOKUP_NONE"
const isc::log::MessageID | KEY_PROCESSING_FAILED = "KEY_PROCESSING_FAILED"
const isc::log::MessageID | KEY_PROCESSING_FAILED_UNSPECIFIED_ERROR = "KEY_PROCESSING_FAILED_UNSPECIFIED_ERROR"
const isc::log::MessageID | START_REKEY_TIMER = "START_REKEY_TIMER"
const isc::log::MessageID | START_RETRY_TIMER = "START_RETRY_TIMER"
const isc::log::MessageID | TKEY_EXCHANGE_ANSWER_CLASS = "TKEY_EXCHANGE_ANSWER_CLASS"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_EMPTY_IN_TOKEN = "TKEY_EXCHANGE_FAIL_EMPTY_IN_TOKEN"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_EMPTY_OUT_TOKEN = "TKEY_EXCHANGE_FAIL_EMPTY_OUT_TOKEN"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_EMPTY_RESPONSE = "TKEY_EXCHANGE_FAIL_EMPTY_RESPONSE"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_IO_ERROR = "TKEY_EXCHANGE_FAIL_IO_ERROR"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_IO_STOPPED = "TKEY_EXCHANGE_FAIL_IO_STOPPED"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_IO_TIMEOUT = "TKEY_EXCHANGE_FAIL_IO_TIMEOUT"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_NO_RDATA = "TKEY_EXCHANGE_FAIL_NO_RDATA"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_NO_RESPONSE_ANSWER = "TKEY_EXCHANGE_FAIL_NO_RESPONSE_ANSWER"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_NOT_SIGNED = "TKEY_EXCHANGE_FAIL_NOT_SIGNED"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_NULL_RESPONSE = "TKEY_EXCHANGE_FAIL_NULL_RESPONSE"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_RESPONSE_ERROR = "TKEY_EXCHANGE_FAIL_RESPONSE_ERROR"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_TKEY_ERROR = "TKEY_EXCHANGE_FAIL_TKEY_ERROR"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_TO_INIT = "TKEY_EXCHANGE_FAIL_TO_INIT"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_WRONG_RESPONSE_ANSWER_COUNT = "TKEY_EXCHANGE_FAIL_WRONG_RESPONSE_ANSWER_COUNT"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_WRONG_RESPONSE_ANSWER_TYPE = "TKEY_EXCHANGE_FAIL_WRONG_RESPONSE_ANSWER_TYPE"
const isc::log::MessageID | TKEY_EXCHANGE_FAIL_WRONG_RESPONSE_OPCODE = "TKEY_EXCHANGE_FAIL_WRONG_RESPONSE_OPCODE"
const isc::log::MessageID | TKEY_EXCHANGE_FAILED_TO_VERIFY = "TKEY_EXCHANGE_FAILED_TO_VERIFY"
const isc::log::MessageID | TKEY_EXCHANGE_NOT_A_RESPONSE = "TKEY_EXCHANGE_NOT_A_RESPONSE"
const isc::log::MessageID | TKEY_EXCHANGE_OUT_TOKEN_NOT_EMPTY = "TKEY_EXCHANGE_OUT_TOKEN_NOT_EMPTY"
const isc::log::MessageID | TKEY_EXCHANGE_RDATA_COUNT = "TKEY_EXCHANGE_RDATA_COUNT"
const isc::log::MessageID | TKEY_EXCHANGE_RECEIVE_MESSAGE = "TKEY_EXCHANGE_RECEIVE_MESSAGE"
const isc::log::MessageID | TKEY_EXCHANGE_RESPONSE_TTL = "TKEY_EXCHANGE_RESPONSE_TTL"
const isc::log::MessageID | TKEY_EXCHANGE_SEND_MESSAGE = "TKEY_EXCHANGE_SEND_MESSAGE"
const isc::log::MessageID | TKEY_EXCHANGE_VALID = "TKEY_EXCHANGE_VALID"
const isc::log::MessageID | TKEY_EXCHANGE_VERIFIED = "TKEY_EXCHANGE_VERIFIED"

## Typedef Documentation

## ◆ DnsServerList

typedef boost::multi_index_container< DnsServerPtr, boost::multi_index::indexed_by< boost::multi_index::random_access< boost::multi_index::tag<DnsServerIndexTag> >, boost::multi_index::hashed_unique< boost::multi_index::tag<DnsServerIdTag>, boost::multi_index::const_mem_fun<DnsServer, std::string, &DnsServer::getID> > >> isc::gss_tsig::DnsServerList

A list of DNS server.

Definition at line 424 of file gss_tsig_cfg.h.

## ◆ DnsServerPtr

typedef boost::shared_ptr<DnsServer> isc::gss_tsig::DnsServerPtr

A pointer to a DNS server.

Definition at line 399 of file gss_tsig_cfg.h.

## ◆ DnsServerRevMap

typedef std::map<isc::d2::DnsServerInfoPtr, DnsServerPtr> isc::gss_tsig::DnsServerRevMap

A map of DNS server info and DNS server.

Definition at line 427 of file gss_tsig_cfg.h.

## ◆ GssApiBufferPtr

typedef boost::shared_ptr<GssApiBuffer> isc::gss_tsig::GssApiBufferPtr

Shared pointer to GSS-API buffer.

Definition at line 180 of file gss_tsig_api.h.

## ◆ GssApiCredPtr

typedef boost::shared_ptr<GssApiCred> isc::gss_tsig::GssApiCredPtr

Shared pointer to GSS-API credential.

Definition at line 283 of file gss_tsig_api.h.

## ◆ GssApiNamePtr

typedef boost::shared_ptr<GssApiName> isc::gss_tsig::GssApiNamePtr

Shared pointer to GSS-API name.

Definition at line 235 of file gss_tsig_api.h.

## ◆ GssApiOidPtr

typedef boost::shared_ptr<GssApiOid> isc::gss_tsig::GssApiOidPtr

Shared pointer to GSS-API OID.

Definition at line 469 of file gss_tsig_api.h.

## ◆ GssApiOidSetPtr

typedef boost::shared_ptr<GssApiOidSet> isc::gss_tsig::GssApiOidSetPtr

Shared pointer to GSS-API OID set.

Definition at line 500 of file gss_tsig_api.h.

## ◆ GssTsigContextPtr

typedef boost::shared_ptr<GssTsigContext> isc::gss_tsig::GssTsigContextPtr

Type of pointer to a GSS-TSIG context.

Definition at line 178 of file gss_tsig_context.h.

## ◆ GssTsigImplPtr

typedef std::unique_ptr<GssTsigImpl> isc::gss_tsig::GssTsigImplPtr

Type of pointer to a GSS-TSIG hook configuration.

Definition at line 230 of file gss_tsig_impl.h.

## ◆ GssTsigKeyPtr

typedef boost::shared_ptr<GssTsigKey> isc::gss_tsig::GssTsigKeyPtr

Type of pointer to a GSS-TSIG key.

Definition at line 115 of file gss_tsig_key.h.

## ◆ ManagedKeyList

typedef boost::multi_index_container< ManagedKeyPtr, boost::multi_index::indexed_by< boost::multi_index::hashed_unique< boost::multi_index::tag<GssTsigKeyNameTag>, boost::multi_index::const_mem_fun<ManagedKey, std::string, &ManagedKey::getKeyNameStr> >, boost::multi_index::ordered_non_unique< boost::multi_index::tag<GssTsigKeyServerTag>, boost::multi_index::composite_key< ManagedKey, boost::multi_index::const_mem_fun<ManagedKey, std::string, &ManagedKey::getParentID>, boost::multi_index::const_mem_fun<GssTsigKey, std::chrono::system_clock::time_point, &GssTsigKey::getInception> > > >> isc::gss_tsig::ManagedKeyList

A multi index container holding GSS-TSIG keys.

Definition at line 57 of file gss_tsig_impl.h.

## ◆ ManagedKeyPtr

typedef boost::shared_ptr<ManagedKey> isc::gss_tsig::ManagedKeyPtr

Type of pointer to a Managed GSS-TSIG key.

Definition at line 156 of file managed_key.h.

## ◆ TKeyExchangePtr

typedef boost::shared_ptr<TKeyExchange> isc::gss_tsig::TKeyExchangePtr

Definition at line 21 of file tkey_exchange.h.

## Function Documentation

## ◆ gssApiErrMsg()

std::string isc::gss_tsig::gssApiErrMsg | ( | OM_uint32 | major,
|  | OM_uint32 | minor )

An the error message.

Use the gss_display_status GSS-API function.

Parameters

  major | Major error code (GSS).
  minor | Minor error code (Mech).

Returns
  The corresponding error message.

Definition at line 28 of file gss_tsig_api.cc.

References isc::gss_tsig::GssApiBuffer::empty(), isc::gss_tsig::GssApiBuffer::getPtr(), and isc::gss_tsig::GssApiBuffer::getValue().

Referenced by isc::gss_tsig::GssApiCred::GssApiCred(), isc::gss_tsig::GssApiName::GssApiName(), isc::gss_tsig::GssApiOid::GssApiOid(), isc::gss_tsig::GssApiOidSet::GssApiOidSet(), isc::gss_tsig::GssApiSecCtx::GssApiSecCtx(), isc::gss_tsig::GssApiSecCtx::accept(), isc::gss_tsig::GssApiName::compare(), isc::gss_tsig::GssApiSecCtx::getLifetime(), isc::gss_tsig::GssApiSecCtx::init(), isc::gss_tsig::GssApiCred::inquire(), isc::gss_tsig::GssApiSecCtx::inquire(), isc::gss_tsig::GssApiSecCtx::serialize(), isc::gss_tsig::GssApiSecCtx::sign(), isc::gss_tsig::GssApiName::toString(), isc::gss_tsig::GssApiOid::toString(), and isc::gss_tsig::GssApiSecCtx::verify().

Here is the call graph for this function:

## Variable Documentation

## ◆ BAD_CLIENT_CREDENTIALS

const isc::log::MessageID isc::gss_tsig::BAD_CLIENT_CREDENTIALS = "BAD_CLIENT_CREDENTIALS"
| extern

Definition at line 11 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::TKeyExchangeImpl::doExchange().

## ◆ GSS_TSIG_COMMAND_PROCESSED_FAILED

const isc::log::MessageID isc::gss_tsig::GSS_TSIG_COMMAND_PROCESSED_FAILED = "GSS_TSIG_COMMAND_PROCESSED_FAILED"
| extern

Definition at line 12 of file gss_tsig_messages.h.

Referenced by command_processed().

## ◆ GSS_TSIG_IGNORED_BAD_DIRECTION

const isc::log::MessageID isc::gss_tsig::GSS_TSIG_IGNORED_BAD_DIRECTION = "GSS_TSIG_IGNORED_BAD_DIRECTION"
| extern

Definition at line 13 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssApiSecCtx::verify().

## ◆ GSS_TSIG_LOAD_FAILED

const isc::log::MessageID isc::gss_tsig::GSS_TSIG_LOAD_FAILED = "GSS_TSIG_LOAD_FAILED"
| extern

Definition at line 14 of file gss_tsig_messages.h.

Referenced by load().

## ◆ GSS_TSIG_LOAD_OK

const isc::log::MessageID isc::gss_tsig::GSS_TSIG_LOAD_OK = "GSS_TSIG_LOAD_OK"
| extern

Definition at line 15 of file gss_tsig_messages.h.

Referenced by load().

## ◆ gss_tsig_logger

isc::log::Logger isc::gss_tsig::gss_tsig_logger | ( | "gss-tsig-hooks" |  | ) |

Definition at line 17 of file gss_tsig_log.h.

Referenced by command_processed(), isc::gss_tsig::GssTsigImpl::createKey(), isc::gss_tsig::TKeyExchangeImpl::doExchange(), isc::gss_tsig::GssTsigImpl::findKey(), load(), isc::gss_tsig::ManagedKey::operator()(), isc::gss_tsig::TKeyExchangeImpl::operator()(), isc::gss_tsig::GssTsigImpl::processServerKeys(), isc::gss_tsig::GssTsigImpl::purgeKeys(), isc::gss_tsig::GssTsigImpl::start(), isc::gss_tsig::GssTsigImpl::stop(), unload(), isc::gss_tsig::GssApiSecCtx::verify(), and isc::gss_tsig::GssTsigContext::verify().

## ◆ GSS_TSIG_MANAGER_STARTED

const isc::log::MessageID isc::gss_tsig::GSS_TSIG_MANAGER_STARTED = "GSS_TSIG_MANAGER_STARTED"
| extern

Definition at line 16 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssTsigImpl::start().

## ◆ GSS_TSIG_MANAGER_STOP_ERROR

const isc::log::MessageID isc::gss_tsig::GSS_TSIG_MANAGER_STOP_ERROR = "GSS_TSIG_MANAGER_STOP_ERROR"
| extern

Definition at line 18 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssTsigImpl::stop().

## ◆ GSS_TSIG_MANAGER_STOP_GENERAL_ERROR

const isc::log::MessageID isc::gss_tsig::GSS_TSIG_MANAGER_STOP_GENERAL_ERROR = "GSS_TSIG_MANAGER_STOP_GENERAL_ERROR"
| extern

Definition at line 19 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssTsigImpl::stop().

## ◆ GSS_TSIG_MANAGER_STOPPED

const isc::log::MessageID isc::gss_tsig::GSS_TSIG_MANAGER_STOPPED = "GSS_TSIG_MANAGER_STOPPED"
| extern

Definition at line 17 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssTsigImpl::stop().

## ◆ GSS_TSIG_NEW_KEY

const isc::log::MessageID isc::gss_tsig::GSS_TSIG_NEW_KEY = "GSS_TSIG_NEW_KEY"
| extern

Definition at line 20 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssTsigImpl::createKey().

## ◆ GSS_TSIG_NEW_KEY_SETUP_FAILED

const isc::log::MessageID isc::gss_tsig::GSS_TSIG_NEW_KEY_SETUP_FAILED = "GSS_TSIG_NEW_KEY_SETUP_FAILED"
| extern

Definition at line 21 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::ManagedKey::operator()().

## ◆ GSS_TSIG_NEW_KEY_SETUP_SUCCEED

const isc::log::MessageID isc::gss_tsig::GSS_TSIG_NEW_KEY_SETUP_SUCCEED = "GSS_TSIG_NEW_KEY_SETUP_SUCCEED"
| extern

Definition at line 22 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::ManagedKey::operator()().

## ◆ GSS_TSIG_OLD_KEY_REMOVED

const isc::log::MessageID isc::gss_tsig::GSS_TSIG_OLD_KEY_REMOVED = "GSS_TSIG_OLD_KEY_REMOVED"
| extern

Definition at line 23 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssTsigImpl::purgeKeys().

## ◆ GSS_TSIG_UNLOAD_OK

const isc::log::MessageID isc::gss_tsig::GSS_TSIG_UNLOAD_OK = "GSS_TSIG_UNLOAD_OK"
| extern

Definition at line 24 of file gss_tsig_messages.h.

Referenced by unload().

## ◆ GSS_TSIG_VERIFIED

const isc::log::MessageID isc::gss_tsig::GSS_TSIG_VERIFIED = "GSS_TSIG_VERIFIED"
| extern

Definition at line 25 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssTsigContext::verify().

## ◆ GSS_TSIG_VERIFY_FAILED

const isc::log::MessageID isc::gss_tsig::GSS_TSIG_VERIFY_FAILED = "GSS_TSIG_VERIFY_FAILED"
| extern

Definition at line 26 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssTsigContext::verify().

## ◆ impl

GssTsigImplPtr isc::gss_tsig::impl

The GSS-TSIG hook implementation object.

Definition at line 34 of file gss_tsig_callouts.cc.

Referenced by command_processed(), d2_srv_configured(), get(), get_all(), key_del(), key_expire(), key_get(), lists(), load(), purge(), purge_all(), rekey(), rekey_all(), select_key(), and unload().

## ◆ ISC_GSS_KRB5_MECHANISM

GssApiOid isc::gss_tsig::ISC_GSS_KRB5_MECHANISM | ( | ISC_GSS_KRB5_MECHANISM_vect |  | ) |

The Kerberos 5 OID.

Definition at line 463 of file gss_tsig_api.h.

Referenced by isc::gss_tsig::GssApiOidSet::GssApiOidSet().

## ◆ ISC_GSS_SPNEGO_MECHANISM

GssApiOid isc::gss_tsig::ISC_GSS_SPNEGO_MECHANISM | ( | ISC_GSS_SPNEGO_MECHANISM_vect |  | ) |

The SPNEGO OID.

Definition at line 466 of file gss_tsig_api.h.

Referenced by isc::gss_tsig::GssApiOidSet::GssApiOidSet(), and isc::gss_tsig::GssApiSecCtx::init().

## ◆ KEY_LOOKUP_DISABLED

const isc::log::MessageID isc::gss_tsig::KEY_LOOKUP_DISABLED = "KEY_LOOKUP_DISABLED"
| extern

Definition at line 27 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssTsigImpl::findKey().

## ◆ KEY_LOOKUP_FOUND

const isc::log::MessageID isc::gss_tsig::KEY_LOOKUP_FOUND = "KEY_LOOKUP_FOUND"
| extern

Definition at line 28 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssTsigImpl::findKey().

## ◆ KEY_LOOKUP_NONE

const isc::log::MessageID isc::gss_tsig::KEY_LOOKUP_NONE = "KEY_LOOKUP_NONE"
| extern

Definition at line 29 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssTsigImpl::findKey().

## ◆ KEY_PROCESSING_FAILED

const isc::log::MessageID isc::gss_tsig::KEY_PROCESSING_FAILED = "KEY_PROCESSING_FAILED"
| extern

Definition at line 30 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssTsigImpl::processServerKeys().

## ◆ KEY_PROCESSING_FAILED_UNSPECIFIED_ERROR

const isc::log::MessageID isc::gss_tsig::KEY_PROCESSING_FAILED_UNSPECIFIED_ERROR = "KEY_PROCESSING_FAILED_UNSPECIFIED_ERROR"
| extern

Definition at line 31 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssTsigImpl::processServerKeys().

## ◆ START_REKEY_TIMER

const isc::log::MessageID isc::gss_tsig::START_REKEY_TIMER = "START_REKEY_TIMER"
| extern

Definition at line 32 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssTsigImpl::processServerKeys().

## ◆ START_RETRY_TIMER

const isc::log::MessageID isc::gss_tsig::START_RETRY_TIMER = "START_RETRY_TIMER"
| extern

Definition at line 33 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::GssTsigImpl::processServerKeys().

## ◆ TKEY_EXCHANGE_ANSWER_CLASS

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_ANSWER_CLASS = "TKEY_EXCHANGE_ANSWER_CLASS"
| extern

Definition at line 34 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_FAIL_EMPTY_IN_TOKEN

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_EMPTY_IN_TOKEN = "TKEY_EXCHANGE_FAIL_EMPTY_IN_TOKEN"
| extern

Definition at line 36 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::TKeyExchangeImpl::operator()().

## ◆ TKEY_EXCHANGE_FAIL_EMPTY_OUT_TOKEN

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_EMPTY_OUT_TOKEN = "TKEY_EXCHANGE_FAIL_EMPTY_OUT_TOKEN"
| extern

Definition at line 37 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_FAIL_EMPTY_RESPONSE

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_EMPTY_RESPONSE = "TKEY_EXCHANGE_FAIL_EMPTY_RESPONSE"
| extern

Definition at line 38 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_FAIL_IO_ERROR

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_IO_ERROR = "TKEY_EXCHANGE_FAIL_IO_ERROR"
| extern

Definition at line 39 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::TKeyExchangeImpl::operator()().

## ◆ TKEY_EXCHANGE_FAIL_IO_STOPPED

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_IO_STOPPED = "TKEY_EXCHANGE_FAIL_IO_STOPPED"
| extern

Definition at line 40 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::TKeyExchangeImpl::operator()().

## ◆ TKEY_EXCHANGE_FAIL_IO_TIMEOUT

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_IO_TIMEOUT = "TKEY_EXCHANGE_FAIL_IO_TIMEOUT"
| extern

Definition at line 41 of file gss_tsig_messages.h.

Referenced by isc::gss_tsig::TKeyExchangeImpl::operator()().

## ◆ TKEY_EXCHANGE_FAIL_NO_RDATA

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_NO_RDATA = "TKEY_EXCHANGE_FAIL_NO_RDATA"
| extern

Definition at line 43 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_FAIL_NO_RESPONSE_ANSWER

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_NO_RESPONSE_ANSWER = "TKEY_EXCHANGE_FAIL_NO_RESPONSE_ANSWER"
| extern

Definition at line 44 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_FAIL_NOT_SIGNED

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_NOT_SIGNED = "TKEY_EXCHANGE_FAIL_NOT_SIGNED"
| extern

Definition at line 42 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_FAIL_NULL_RESPONSE

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_NULL_RESPONSE = "TKEY_EXCHANGE_FAIL_NULL_RESPONSE"
| extern

Definition at line 45 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_FAIL_RESPONSE_ERROR

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_RESPONSE_ERROR = "TKEY_EXCHANGE_FAIL_RESPONSE_ERROR"
| extern

Definition at line 46 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_FAIL_TKEY_ERROR

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_TKEY_ERROR = "TKEY_EXCHANGE_FAIL_TKEY_ERROR"
| extern

Definition at line 47 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_FAIL_TO_INIT

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_TO_INIT = "TKEY_EXCHANGE_FAIL_TO_INIT"
| extern

Definition at line 48 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_FAIL_WRONG_RESPONSE_ANSWER_COUNT

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_WRONG_RESPONSE_ANSWER_COUNT = "TKEY_EXCHANGE_FAIL_WRONG_RESPONSE_ANSWER_COUNT"
| extern

Definition at line 49 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_FAIL_WRONG_RESPONSE_ANSWER_TYPE

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_WRONG_RESPONSE_ANSWER_TYPE = "TKEY_EXCHANGE_FAIL_WRONG_RESPONSE_ANSWER_TYPE"
| extern

Definition at line 50 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_FAIL_WRONG_RESPONSE_OPCODE

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAIL_WRONG_RESPONSE_OPCODE = "TKEY_EXCHANGE_FAIL_WRONG_RESPONSE_OPCODE"
| extern

Definition at line 51 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_FAILED_TO_VERIFY

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_FAILED_TO_VERIFY = "TKEY_EXCHANGE_FAILED_TO_VERIFY"
| extern

Definition at line 35 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_NOT_A_RESPONSE

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_NOT_A_RESPONSE = "TKEY_EXCHANGE_NOT_A_RESPONSE"
| extern

Definition at line 52 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_OUT_TOKEN_NOT_EMPTY

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_OUT_TOKEN_NOT_EMPTY = "TKEY_EXCHANGE_OUT_TOKEN_NOT_EMPTY"
| extern

Definition at line 53 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_RDATA_COUNT

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_RDATA_COUNT = "TKEY_EXCHANGE_RDATA_COUNT"
| extern

Definition at line 54 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_RECEIVE_MESSAGE

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_RECEIVE_MESSAGE = "TKEY_EXCHANGE_RECEIVE_MESSAGE"
| extern

Definition at line 55 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_RESPONSE_TTL

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_RESPONSE_TTL = "TKEY_EXCHANGE_RESPONSE_TTL"
| extern

Definition at line 56 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_SEND_MESSAGE

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_SEND_MESSAGE = "TKEY_EXCHANGE_SEND_MESSAGE"
| extern

Definition at line 57 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_VALID

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_VALID = "TKEY_EXCHANGE_VALID"
| extern

Definition at line 58 of file gss_tsig_messages.h.

## ◆ TKEY_EXCHANGE_VERIFIED

const isc::log::MessageID isc::gss_tsig::TKEY_EXCHANGE_VERIFIED = "TKEY_EXCHANGE_VERIFIED"
| extern

Definition at line 59 of file gss_tsig_messages.h.